Kerbal Space Program - Bug #3979

Items left at launchpad or runway disappear.
01/19/2015 07:09 PM - Thanny

Status: Not a Bug Start date: 01/19/2015
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: PS4, Win32 Mod Related: No
Expansion:

Description

Prior to 0.90, the launch clamps would remain at the launchpad to allow recovering them for a refund.

Now they disappear after returning to the space center, so cannot be recovered at all. Their funds are therefore irrevocably lost.
Even recovering a ship at the launchpad that did nothing but detach from clamps leaves them unrecoverable with funds lost.

Related issues:
Related to Kerbal Space Program - Bug #5363: KSP destroys spent stages landed... Closed 09/02/2015

History

#1 - 01/20/2015 09:27 PM - RexKramer
- Subject changed from TT18-A launch stability enhancers disappear after returning to KSC to Items left at launchpad or runway disappear.
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This also affects other items left behind on the launchpad, not just the Launch Stability Enhancers. It also affects items left behind on the runway,
tested with launch stability enhancers on the runway.

Confirmed KSP 0.90, OSX 10.10.1.

Changed subject to reflect the fact that any parts left behind, on either launchpad or runway, disappear.

#2 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 09/02/2015 09:57 PM - Squelch
- Has duplicate Bug #5363: KSP destroys spent stages landed safely on KSC without refunding their value. added

#4 - 09/02/2015 09:58 PM - Squelch
- Has duplicate deleted (Bug #5363: KSP destroys spent stages landed safely on KSC without refunding their value.)

#5 - 09/02/2015 09:59 PM - Squelch
- Related to Bug #5363: KSP destroys spent stages landed safely on KSC without refunding their value. added

#6 - 07/17/2016 09:32 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 07/17/2016 11:35 AM - Thanny

Just did a bit of testing, and this is mostly fixed, but not entirely. The parts remain after launching and returning, for manual recovery. And if you
launch a new ship from the VAB, the parts still on the launchpad are recovered. However, if you click on the launchpad and select another ship to
launch, the parts still on the pad are deleted without recovery.
#8 - 07/17/2016 11:40 PM - TriggerAu

Thanks Thanny, if you can add some current 1.1.3 logs for the instance and change the status to Updated we'll see if someone can confirm it for us
too

#9 - 08/09/2016 11:27 AM - TriggerAu

- Status changed from Needs Clarification to Updated

- % Done changed from 0 to 10

#10 - 10/13/2016 07:24 PM - sal_vager

- Status changed from Updated to Not a Bug
- % Done changed from 10 to 100

- Platform PS4 added

Auto recovered debris will now be refunded, as for parts disappearing please disable 'Tidy up derbies cluttering KSC' in the Settings screen.
